std::allocator< void > Class Reference
Utilities » Memory » Allocators

`#include <memory>`

## Public Types

typedef ptrdiff_t | difference_type
using | is_always_equal = true_type
using | propagate_on_container_move_assignment = true_type
typedef size_t | size_type
typedef void | value_type

## Public Member Functions

template<typename _Up >
constexpr | allocator (const allocator< _Up > &) noexcept

## Detailed Description

std::allocator<void> specialization.

Definition at line 73 of file allocator.h.

## Member Typedef Documentation

## difference_type

typedef ptrdiff_t std::allocator< void >::difference_type

Definition at line 78 of file allocator.h.

## is_always_equal

using std::allocator< void >::is_always_equal = true_type

Definition at line 95 of file allocator.h.

## propagate_on_container_move_assignment

using std::allocator< void >::propagate_on_container_move_assignment = true_type

Definition at line 93 of file allocator.h.

## size_type

typedef size_t std::allocator< void >::size_type

Definition at line 77 of file allocator.h.

## value_type

typedef void std::allocator< void >::value_type

Definition at line 76 of file allocator.h.

## Constructor & Destructor Documentation

## allocator()

template<typename _Up >

constexpr std::allocator< void >::allocator | ( | const allocator< _Up > & |  | ) |

inline constexpr noexcept

Definition at line 108 of file allocator.h.

The documentation for this class was generated from the following file:

- allocator.h